Get appointment
curl --request GET \
--url https://www.carstoragesoftware.com/api/v1/appointments/{id} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://www.carstoragesoftware.com/api/v1/appointments/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://www.carstoragesoftware.com/api/v1/appointments/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"teamId": "<string>",
"locationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"appointmentTypeId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"optionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "scheduled",
"carId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"secondaryCarId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"customerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"startAt": "2023-11-07T05:31:56Z",
"endAt": "2023-11-07T05:31:56Z",
"title": "<string>",
"notes": "<string>",
"recurrenceFrequency": "daily",
"recurrenceInterval": 123,
"recurrenceDaysOfWeek": [
123
],
"recurrenceDayOfMonth": 123,
"recurrenceEndDate": "2023-11-07T05:31:56Z",
"recurrenceCount": 123,
"recurrenceSeriesId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
}{
"error": "<string>",
"code": "<string>",
"details": null
}{
"error": "<string>",
"code": "<string>",
"details": null
}{
"error": "<string>",
"code": "<string>",
"details": null
}{
"error": "<string>",
"code": "<string>",
"details": null
}Appointments
Get appointment
Requires read:appointments.
GET
/
api
/
v1
/
appointments
/
{id}
Get appointment
curl --request GET \
--url https://www.carstoragesoftware.com/api/v1/appointments/{id} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://www.carstoragesoftware.com/api/v1/appointments/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://www.carstoragesoftware.com/api/v1/appointments/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"teamId": "<string>",
"locationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"appointmentTypeId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"optionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "scheduled",
"carId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"secondaryCarId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"customerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"startAt": "2023-11-07T05:31:56Z",
"endAt": "2023-11-07T05:31:56Z",
"title": "<string>",
"notes": "<string>",
"recurrenceFrequency": "daily",
"recurrenceInterval": 123,
"recurrenceDaysOfWeek": [
123
],
"recurrenceDayOfMonth": 123,
"recurrenceEndDate": "2023-11-07T05:31:56Z",
"recurrenceCount": 123,
"recurrenceSeriesId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
}{
"error": "<string>",
"code": "<string>",
"details": null
}{
"error": "<string>",
"code": "<string>",
"details": null
}{
"error": "<string>",
"code": "<string>",
"details": null
}{
"error": "<string>",
"code": "<string>",
"details": null
}Was this page helpful?
⌘I